## kpimtextedit 15.12.3

=== debian/changelog ===
kpimtextedit (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:43:12 -0700

kpimtextedit (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Add missing dependencies. 
  * Fix new depenency names. 
  * wrap-and-sort 
  * Refresh symbols. 
  * Remove the epoch from the symbols file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:59:52 +0100

kpimtextedit (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:27 +0100

kpimtextedit (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Add missing build depend grantlee. 

  [ Clive Johnston ]
  * New upstream release
  * Fixing install file

  [ Scarlett Clark ]
  * Refresh symbols. Removed many MISSING. We are opting for rebuild. 
  * Another refresh of symbols. 
  * Remove unecessary epoch from symbols file. 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:11:04 +0000

kpimtextedit (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:25 +0200

kpimtextedit (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 18:39:18 +0200
