## kpimtextedit 16.04.2

=== debian/changelog ===
kpimtextedit (16.04.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update testsuite script
  * testsuite: add libgl1-mesa-dri missing dependency
  * testsuite: add xdg env, and a wm
  * Add new patch: set_icontheme.diff

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 12:59:40 +0200

kpimtextedit (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-1).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:51:28 +0200
