=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kdesignerplugin (>= 5.19.0~),
               kio-dev (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5configwidgets-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5emoticons-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kpimtextedit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kpimtextedit.git

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5pimtextedit5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.19.0~),
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.
