## kpimtextedit 16.04.3

=== debian/changelog ===
kpimtextedit (16.04.3-0ubuntu2) yakkety; urgency=medium

  * Bump soname due to binary incompatible changes, as requested by the release
    team:
    libkf5pimtextedit5 -> libkf5pimtextedit5abi1
  * Import patch set_icontheme.diff from debian.
  * Sync testsuite with debian.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 05 Oct 2016 20:18:44 +0100

kpimtextedit (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version in install file. 
  * Refresh symbols. 
  * Add missing file. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:16 +0200
