## kpimtextedit 17.04.3

=== debian/changelog ===
kpimtextedit (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Refresh enable_debian_abi_manager.diff patch
  * Install kpimtextedit.categories file
  * Drop set_icontheme.diff patch which is now applied upstream
  * Bump soname due to binary incompatible changes:
    libkf5pimtextedit5abi1 -> libkf5pimtextedit5abi2
  * Update symbols

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff patch
  * Add -data package installing translations
  * Update symbols files
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:59 +0100

kpimtextedit (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * debian/tests/testssuite.xsession: add a small sleep delay after
    calling kdeinit5 to avoid possible dodgy test failures.
  * Add disable_failing_wordwrap_check.diff
  * New upstream release (16.12.3)

  [ Clive Johnston ]
  * Refreshing patches
  * Refreshing symbols
  * Adding ${shlibs:Depends} to libkf5pimtextedit-dev due to
    usr/lib/*/qt5/plugins/designer/kpimtexteditwidgets.so
  * Wrap-and-sort

  [ Rik Mills ]
  * New build depend on libkf5syntaxhighlighting-dev
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:45 +0100
