=== debian/changelog ===
kpimtextedit (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:00 +0000

kpimtextedit (17.12.2-0ubuntu2) bionic; urgency=medium

  * Add missing libkf5syntaxhighlighting-dev dependency to development
    package. Fixes acc test header compilation

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 00:04:11 +0000

kpimtextedit (17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * Build with Qt5TextToSpeech support
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:32 +0000

kpimtextedit (17.08.3-0ubuntu1) bionic; urgency=medium

  * Refresh patches
  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:59 +0000

kpimtextedit (17.04.3-0ubuntu2) bionic; urgency=medium

  * Skip testsuite on architectures Kubuntu does not officially support,
    and do not run reliably or consistently

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 30 Nov 2017 19:01:54 +0000
