=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
+               libqt5texttospeech5-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~)
@@ -30,8 +31,9 @@
 Package: libkf5pimtextedit-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
+         libkf5syntaxhighlighting-dev (>= 5.31.0~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
