=== debian/changelog ===
kpimtextedit (18.04.3-0ubuntu3) cosmic; urgency=medium

  * Revert upload removing tests. Just skip them for now.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Aug 2018 12:20:01 +0100

kpimtextedit (18.04.3-0ubuntu2) cosmic; urgency=medium

  * Sync change from debian unstable:
    - Remove the unused, and now no more useful autopkgtest stuff.
      (debian now run them at build time, but this needs more testing
      on launchpad before we fully merge)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Aug 2018 09:29:08 +0100

kpimtextedit (18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Simon Quigley ]
  * Update symbols from build logs.
  * libkf5pimtextedit5abi2 -> libkf5pimtextedit5abi3

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:33 +0100
