=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libqt5texttospeech5-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
@@ -32,11 +32,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
+Depends: libkf5pimtextedit5abi3 (= ${binary:Version}),
          libkf5syntaxhighlighting-dev (>= 5.31.0~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: libkf5pimtextedit - development files
  KPIMTextedit provides a textedit with PIM-specific features. It also provides
  so-called rich text builders which can convert the formatted text in the text
@@ -44,8 +44,8 @@
  .
  This package contains the development files.
 
-Package: libkf5pimtextedit5abi2
-X-Debian-ABI: 2
+Package: libkf5pimtextedit5abi3
+X-Debian-ABI: 3
 X-CMake-Target: KF5PimTextEdit
 Architecture: any
 Multi-Arch: same
